## fglrx-installer-updates 15.200

=== debian/changelog ===
fglrx-installer-updates (2:15.200-0ubuntu4.2) vivid-proposed; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_4.0.patch,
    debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Add support for Linux 4.0, 4.1, 4.2.
    - Work around the GPL only pci_ignore_hotplug() in
      Linux 3.19.0-26 (LP: #1479913).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 18 Aug 2015 11:30:34 +0200

fglrx-installer-updates (2:15.200-0ubuntu4.1) vivid-proposed; urgency=medium

  * debian/rules:
    - Remove the extra "done"s from the for loops (LP: #1471661).
    - Apply the setgid bit and the execute bit to amd-console-helper.
  * debian/fglrx-amdcccle.preinst.in:
    - Make sure to remove amdcccle to ensure a smooth transition
      on dist-upgrade.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 06 Jul 2015 17:07:24 +0200

fglrx-installer-updates (2:15.200-0ubuntu4) vivid; urgency=medium

  * debian/control.in:
    - Allow the -core package to overwrite files that belong to
      fglrx. This prevents errors caused by the split into fglrx
      and fglrx-core when dist-upgrading (LP: #1443016).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 16 Apr 2015 12:12:35 +0200

fglrx-installer-updates (2:15.200-0ubuntu3) vivid; urgency=medium

  * debian/control.in:
    - Drop circular dependency between fglrx-updates and fglrx-amdcccle-updates.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 09 Apr 2015 10:11:19 +0200

fglrx-installer-updates (2:15.200-0ubuntu2) vivid; urgency=medium

  * debian/control.in:
    - Provide opencl-icd (LP: #1129409).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 19 Mar 2015 12:34:49 +0100

fglrx-installer-updates (2:15.200-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - Add support for X ABI 19.
  * debian/control.in:
    - Drop conflicts/provides/replaces libopencl1 (LP: #1129409).
  * debian/dkms.conf.in:
    - Drop all the patches.
  * debian/substvars:
    - Add support for X ABI 19.
  * debian/patches/series:
    - Drop amdxdg-su-add-support-for-pkexec.patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 11 Mar 2015 16:10:56 +0100

fglrx-installer-updates (2:14.501-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - OpenCL 2.0 support (requires 64-bit OS and compatible AMD
      Radeon™ R Series GPU).
    - VAAPI decoding support (H264, VC1, MPEG2, MPEG4).
    - Fixed unexpected pixmap's timestamp change with composite
      enabled that caused Linux Khronos CTS to randomly fail.
  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_3.19.patch:
    - Add support for Linux 3.19.
  * debian/patches/series:
    - Re-apply amdxdg-su-add-support-for-pkexec.patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 28 Jan 2015 16:26:28 +0100

fglrx-installer-updates (2:14.201-0ubuntu3) vivid; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_3.17.patch:
    - Add support for Linux 3.17 and 3.18.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 06 Nov 2014 18:29:31 +0100
