## fglrx-installer-updates 15.201

=== debian/changelog ===
fglrx-installer-updates (2:15.201-0ubuntu2~15.10.2) wily-proposed; urgency=medium

  * debian/rules:
    - Blacklist the amdgpu driver, so that fglrx can be loaded
      on the systems where the GPU is supported by amdgpu (LP: #1510573).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 28 Oct 2015 13:21:21 +0100

fglrx-installer-updates (2:15.201-0ubuntu2~15.10.1) wily-proposed; urgency=medium

  * debian/control.in,
    debian/dkms.conf.in,
    dkms/patches/force-gcc-to-4.9-instead-of-5.x.patch:
    - Add a dependency on gcc-4.9, and force fglrx to use gcc-4.9.
      This prevents fglrx from dying on initialisation (LP: #1493888).
      Credit for finding out the actual problem and for suggesting a
      workaround goes to David Burrows.
      Note: this is only a workaround, and it will be dropped as soon
      as a proper fix from upstream is available.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 26 Oct 2015 13:17:34 +0100

fglrx-installer-updates (2:15.201-0ubuntu1) wily; urgency=medium

  * New upstream release (Catalyst 15.9):
    - Fixed issues:
      + [424450] Company of Heroes® 2 - Game crashes while running
        the performance test.
      + [424794] Middle-earth™: Shadow of Mordor - Corruption
        observed in game.
      + [424882] DIRT® Showdown - Corruption observed in game.
      + [425234] DIRT® Showdown - Game crashes after the loading
        screen.
      + [424802] DOTA™ 2 – Application hang observed while exiting
        the game.
      + [423471] Unable to switch desktop mode after installing AMD
        Catalyst™ driver.
      + [423735] Renaming Counter-Strike: GO and other Steam game
        binary improves performance.
  * debian/dkms/patches/buildfix_kernel_4.0.patch,
    debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch,
    debian/dkms/patches/buildfix_kernel_4.2.fpregs_active.patch,
    debian/dkms/patches/buildfix_kernel_4.2.copy_xregs_to_kernel.patch:
    - Refresh patches for the new release.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 17 Sep 2015 18:41:19 +0200

fglrx-installer-updates (2:15.200.1-0ubuntu4) wily; urgency=medium

  [ Tim Gardner ]
  * Two more patches for i386 Linux 4.2-rc8 support:
    debian/dkms/patches/buildfix_kernel_4.2.fpregs_active.patch
      Change the name of a structure tag from has_fpu to fpregs_active.
    debian/dkms/patches/buildfix_kernel_4.2.copy_xregs_to_kernel.patch
      Open code copy_xregs_to_kernel() with a debug reference to a GPL
      symbol 'alternatives_patched' commented out.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 26 Aug 2015 11:34:52 +0200

fglrx-installer-updates (2:15.200.1-0ubuntu3) wily; urgency=medium

  * debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Refresh to fix a build failure on i386.
  * debian/dkms.conf.in,
    debian/dkms/patches/ignore-GCC-mismatch.patch:
    - Ignore GCC mismatch (LP: #1483695).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 12 Aug 2015 17:17:21 +0200

fglrx-installer-updates (2:15.200.1-0ubuntu2) wily; urgency=medium

  * debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Refresh the patches for Linux 4.1.3.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 24 Jul 2015 17:38:57 +0200

fglrx-installer-updates (2:15.200.1-0ubuntu1) wily; urgency=medium

  * New upstream release (Catalyst 15.7):
    - AMD PowerXpress support for laptops equipped with Intel
      6th generation (Skylake) CPUs.
    - Linux Platform Atomics & SVM Fine Grain Buffer support
      for Carrizo APUs.
    - Multi-Device support for OpenCL 2.0.
  * debian/control.in,
    debian/fglrx-updates-core.maintscript,
    debian/fglrx-updates-core.install.in,
    debian/fglrx-updates-core.postinst.in:
    - Migrate the files in /etc/ati from fglrx to fglrx-core.
  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_4.1.patch,
    debian/dkms/patches/buildfix_kernel_4.2.patch:
    - Add support for Linux 4.1.
    - Add support for Linux 4.2.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 16 Jul 2015 12:06:39 +0200

fglrx-installer-updates (2:15.200-0ubuntu6) wily; urgency=medium

  * debian/rules:
    - Remove duplicate "done"s.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 01 Jul 2015 12:11:38 +0200

fglrx-installer-updates (2:15.200-0ubuntu5) wily; urgency=medium

  *  debian/dkms.conf.in,
     debian/dkms/patches/buildfix_kernel_4.0.patch:
     - Add support for Linux 4.0.
  *  debian/rules:
     - Apply the setgid bit and the execute bit to amd-console-helper.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 05 Jun 2015 17:39:36 +0200
