=== debian/rules ===
--- 
+++ 
@@ -128,6 +128,10 @@
 alias fglrx $(PKG_module)
 alias radeon off
 alias lbm-radeon off
+
+blacklist amdgpu
+alias amdgpu off
+alias lbm-amdgpu off
 endef
 
 # DEB_DH_SHLIBDEPS_ARGS_ALL="-Xlib32"
@@ -166,7 +170,6 @@
 			 $(PKG_driver).prerm \
 			 $(PKG_control).install \
 			 $(PKG_control).dirs \
-			 $(PKG_control).preinst \
 			 $(PKG_driver_core).install \
 			 $(PKG_driver_core).links \
 			 $(PKG_driver_core).dirs \
@@ -227,4 +230,3 @@
 			-e "s|#COREPRIORITY#|$(CORE_priority)|g" \
 			-e "s|#UNBLKCOREPRIORITY#|$(UNBLKLST_CORE_priority)|g" \
 			-e "s|#UNBLKCORELDSOCONF#|$(UNBLKLST_CORE_ld_so_conf)|g" \
-			-e "s|#CVERSION#|$(CVERSION)|g" \
