=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Copyright (C) 2005-2006 Aric Cyr
 # Copyright (C) 2007-2010 Mario Limonciello
 # Copyright (C) 2009-2011 Canonical Ltd.
-DH_VERBOSE=1
+
 # Figure out some magic versioning
 CVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d- -f1 | cut -d\: -f2)
 DVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d\: -f2)
@@ -89,6 +89,11 @@
 CORE_ld_so_conf := $(CORE_dir)/$(ld_so_conf_file)
 CORE_libdir := $(CORE_dir)/lib
 CORE_libdir32 := $(CORE_dir32)/lib
+
+PKG_driver_core_bck_dir := usr/share/fglrx-core-backup
+PKG_driver_bck_dir := usr/share/fglrx-backup
+PKG_control_bck_dir := usr/share/fglrx-amdcccle-backup
+
 
 # This is remove fglrx from the blacklist
 UNBLKLST_CORE_ld_so_conf_file  := unblacklist_ld.so.conf
@@ -227,6 +232,3 @@
 			-e "s|#COREDIR#|$(CORE_dir)|g" \
 			-e "s|#COREDIR32#|$(CORE_dir32)|g" \
 			-e "s|#CORELDSOCONF#|$(CORE_ld_so_conf)|g" \
-			-e "s|#COREPRIORITY#|$(CORE_priority)|g" \
-			-e "s|#UNBLKCOREPRIORITY#|$(UNBLKLST_CORE_priority)|g" \
-			-e "s|#UNBLKCORELDSOCONF#|$(UNBLKLST_CORE_ld_so_conf)|g" \
